Subject: Re: Wierd perl problem..
From: Chris Faylor <[email-masked]>
To: Steve Jorgensen <[email-masked]>
Cc: [email-masked]
Date: Tue, 26 Oct 1999 21:45:16 -0400

On Tue, Oct 26, 1999 at 03:53:12PM -0600, Steve Jorgensen wrote:
>> > Ok.  I've just checked in changes that work around the problem "for me".
>> > They should be in the next snapshot.
>
>> > The problem was that a DLL in a forked child was not being loaded in
>> > exactly the same location as it was in the parent.  So, when the parent
>> > tried to copy its memory to the child -- boom!
>
>> > I kludged around this by allocating memory up to the point where the
>> > DLL should be loaded.  This is remarkably fragile and stupid but it
>> > seems to work.
>
>> > The DLL code looks like it is due for a rewrite.  Maybe we'll have time
>> > to do that someday.
>
>> > So, if you're adventurous, try out the latest snapshot and see if dynamic
>> > loading in perl just miraculously "works" now.
>
>> 	I'll play with it.  Thanks.
>
>	Just tried the October 10, 1999 snapshot cygwin1.dll, and the
>	perl problem is fixed.. Thanks!

Um.  The October 10 snapshot should not have fixed anything.  I only
worked on the problem last weekend.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]